# SENTSensorDataChunk

Represents a chunk of sensor data.

```objectivec
SWIFT_CLASS_NAMED("SensorDataChunk")
@interface SENTSensorDataChunk : NSObject
```

## SENTSensorDataChunk API

### `count`

> Returns the number of sensor samples in the chunk. All of x, y, z, and timestamp arrays will be of this size.
>
> ```objectivec
> @property (nonatomic, readonly) NSInteger count;
> ```

### `timestamps`

> Returns the timestamps in UTC epoch time.
>
> ```objectivec
> @property (nonatomic, readonly, copy) NSArray<NSNumber *> * _Nonnull timestamps;
> ```

### `xValues`

> Returns the x-axis values.
>
> ```objectivec
> @property (nonatomic, readonly, copy) NSArray<NSNumber *> * _Nonnull xValues;
> ```

### `yValues`

> Returns the y-axis values.
>
> ```objectivec
> @property (nonatomic, readonly, copy) NSArray<NSNumber *> * _Nonnull yValues;
> ```

### `zValues`

> Returns the z-axis values.
>
> ```objectivec
> @property (nonatomic, readonly, copy) NSArray<NSNumber *> * _Nonnull zValues;
> ```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sentiance.com/important-topics/sdk/api-reference/ios/transport-sessions/sentsensordatachunk.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
